Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Class Program.Label

    java.lang.Object
      avrora.core.Program.Label

Direct Known Subclasses:
  Program.DataLabel, Program.EEPromLabel, Program.ProgramLabel

Enclosing class:
  Program

public abstract class Program.Label
extends java.lang.Object

The `Label` class represents a label within the `Program` instance that encapsulates it. It may be a label that refers to the program (code) segment, the data segment, or the EEPROM segment.

Field Summary
`int` | `address` The `address` field records the address of this label as a byte address.
`java.lang.String` | `name` The `name` field records the name of this label.

Constructor Summary
`protected` | `Program.Label(java.lang.String n, int a)` The constructor for the base abstract class `Label` simply initializes the internal references to the name and the address of this label.

Method Summary
`boolean` | `isDataSegment()` The `isDataSegment()` method returns whether this label refers to the data segment.
`boolean` | `isEEPromSegment()` The `isEEPromSegment()` method returns whether this label refers to the eeprom segment.
`boolean` | `isProgramSegment()` The `isProgramSegment()` method returns whether this label refers to the program segment.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

  The `name` field records the name of this label.

### address

    public final int address

  The `address` field records the address of this label as a byte address.

Constructor Detail

### Program.Label

    protected Program.Label(java.lang.String n,
                            int a)

  The constructor for the base abstract class `Label` simply initializes the internal references to the name and the address of this label.

Parameters:
  `n` - the name of the label as a string
  `a` - the byte address associated with this label

Method Detail

### isProgramSegment

    public boolean isProgramSegment()

  The `isProgramSegment()` method returns whether this label refers to the program segment.

  Returns:
    true if this label refers to the program segment; false otherwise

### isDataSegment

    public boolean isDataSegment()

  The `isDataSegment()` method returns whether this label refers to the data segment.

  Returns:
    true if this label refers to the data segment; false otherwise

### isEEPromSegment

    public boolean isEEPromSegment()

  The `isEEPromSegment()` method returns whether this label refers to the eeprom segment.

  Returns:
    true if this label refers to the eeprom segment; false otherwise

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD